Page MenuHomePhabricator

revlog: introduce a plain compression mode
ClosedPublic

Authored by marmoute on May 4 2021, 10:14 AM.

Details

Summary

That mode is simple it means the chunk contains uncompressed data and can be
used directly.

Diff Detail

Repository
rHG Mercurial
Branch
default
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

marmoute created this revision.May 4 2021, 10:14 AM

I don't understand this change. We already support none as compression method.

I don't understand this change. We already support none as compression method.

This is to read in the context of https://phab.mercurial-scm.org/D10646

Right now the compression information are "inline", each chunk starts with a byte that indicate the compression mode. One idea floating around for a while was to move more compression information in the index header to allow more streamlined handling of the chunk. (that would mostly matter for compiled language) This changeset is part of a series doing that.

I just pushed an update to the documentation of the constant to highlight that a bit. phabricator will be updated once the CI ran.

baymax updated this revision to Diff 27587.May 5 2021, 5:48 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 27889.May 11 2021, 1:45 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

Alphare accepted this revision.May 17 2021, 5:49 PM
This revision is now accepted and ready to land.May 17 2021, 5:49 PM
This revision was automatically updated to reflect the committed changes.